var defaultLanguage = "EN";
var currentLanguage = defaultLanguage;
var defaultContentLanguage = defaultLanguage;

var keyboardlayouts = {
    EN: 'qwerty',
    FR: 'azerty',
    NL: 'azerty'
};
var momentlocale = {
    EN: 'en',
    FR: 'fr',
    NL: 'nl-be'
};

var langNames = {
    EN: "EN",
    FR: "FR",
    NL: "NL"
};

var dateFormats = {
    EN: 'DD/MM/YYYY',
    FR: 'DD/MM/YYYY',
    NL: 'DD/MM/YYYY'
};

var translations = {
    search: {EN: "Search", FR: "RECHERCHER", NL: "ZOEKEN"},
    offices: {EN: "Offices", FR: "Bureaux"},
    floor: {FR: "NIVEAU", NL: "FLOOR", EN: "FLOOR",},

    shop: {EN: "Shop", AR: "المحلات", ZH: "搜寻"},
	dine: {EN: "Dine", AR: "", ZH: ""},
	deals: {EN: "Offers",  FR: "", NL: ""},
    events: {FR: "ÉVÉNEMENTS", NL: "EVENEMENTEN", EN: "EVENTS"},
    infos: {EN: "Information", FR: "Information", NL: "Information"},
    stores: {FR: "MAGASINS", NL: "WINKEL", EN: "STORE"},
    leisure: {EN: "Leisure", FR: "Loisirs", NL: "ONTSPANNING"},
    services: {EN: "Services", FR: "Services", NL: "DIENSTEN"},
    facilities: {EN: "Facilities", FR: "Aménagements", NL: "faciliteit"},
    parking: {EN: "Parking", FR: "Parking", NL: "Parking"},
	atm: {EN: "ATM", FR: "", NL: ""},
    transport: {EN: "Grab", FR: "", NL: ""},
    desk_info: {EN: "Desk Info", FR: "Desk Info", NL: "Desk Info"},
    categories: {EN: "Categories", FR: "Categories", NL: "categorieën"},
    map: { EN: "Show Map", FR: "Show Map"},

    back: {FR: "RETOUR", NL: "TERUG", EN: "BACK"},
    close: {FR:"FERMER", NL:"GESLOTEN", EN:"CLOSE"},
    pmr: {FR: "ROUTE ACCESSIBLE", NL: "TOEGANKELIJKE ROUTE", EN: "ACCESSIBLE ROUTE"},

    searchtext_placeholder: {
        EN: "SEARCH",
		FR: "RECHERCHER",
        NL: "Zoeken"},
    take_me_there: { FR:"DIRECTIONS", NL:"ROUTE", EN:"DIRECTIONS"},
    by_tag_results: { EN: "Related Stores", FR: "Similaires", ZH: "Related Stores"},
    go_to_nearest: {
        FR: "Le plus proche",
        EN: "Show nearest"
    },
    power_by: {EN: "Wayfinding by abuzz solutions.com", FR: "Wayfinding by abuzz solutions.com", NL: "Wayfinding by abuzz solutions.com"},
    qr_code_title: {
        EN: "The map<br>on your phone",
        FR: "La carte<br>sur votre mobile",
        NL: "De kaart<br>op je mobiel"
    },
    from: {FR:'De:', NL:'Van:', EN:'From:'},
    to: {FR:'A: ', NL:'Tot: ', EN:'to: '},
    on: {EN: 'On', FR: 'On'},
    in: {EN: 'in', FR: 'in'},

    monday: { EN: "Monday", FR: "Lundi", NL: "Maandag"},
    tuesday: { EN: "Tuesday", FR: "Mardi", NL: "Dinsdag"},
    wednesday: { EN: "Wednesday", FR: "Mercredi", NL: "Woensdag"},
    thursday: { EN: "Thursday", FR: "Jeudi", NL: "Donderdag"},
    friday: { EN: "Friday", FR: "Vendredi", NL: "Vrijdag"},
    saturday: { EN: "Saturday", FR: "Samedi", NL: "Zaterdag"},
    sunday: { EN: "Sunday", FR: "Dimanche", NL: "Zondag"},

    info: {EN: 'Info', FR: 'Info'},
    destination: {EN: 'Destination', FR: 'Destination'},
    map_result_header: {EN: 'Map', FR: 'Carte', NL: 'kaart'},
    tbd: {EN: 'TBD', FR: 'in'},
    open_hours: {EN: 'Open Hours', FR: "Heures d'ouverture", NL: "Opening Hours"},
    till: {EN: 'till', FR: "jusqu'à", NL: "tot"},
    more_info: {EN: 'More Information', FR: "Plus d'information"},
    more_info_btn: {EN: 'More Info', FR: "Plus d'info", NL: "MEER..."},
    done: {EN: 'Done', FR: 'Fermer', NL:"GESLOTEN"},
    directions_to: {EN: 'DIRECTIONS TO', FR: 'DIRECTION VERS', NL:"Richting naar"},
    distance: {EN: 'DISTANCE', FR: 'DISTANCE', NL: "DISTANCE"},
    time: {EN: 'TIME', FR: 'TEMPS', NL: "TIJD"},
    home: {EN: 'Home', FR: 'Home'},
    lift_route: {EN: 'Lift Route', FR: 'Mobilité réduite'},
    replay: {EN: 'Replay', FR: 'Rejouer', NL: 'Replay'},

    startAt: {EN: 'Starting at ', FR: 'Starting at '},
    yourPosition: {EN: 'your position ', FR: 'your position '},
    yourDestination: {EN: 'your destination ', FR: 'your destination '},
    take_the: { EN: 'Take the ', FR: 'Take the '},
    walk: {EN: 'Walk to ', FR: 'Walk to '},
    to_level: {EN: ' to level ', FR: ' to level '},

    ur_looking_this_way: {
        EN: "You are here facing this way",
        FR: "Vous regardez dans cette direction"
    },
    start_walk_this_way: {
        EN: "Start walking this way",
        AR: "إبدأ بالمشي بهذا الاتجاه",
        ZH: "Start walking this way"
    },
    go_to_nearest: {
        EN: "Show nearest",
        FR: "Afficher le plus proche",
        AR: "أرني الأقرب",
        ZH: "ShowNearest"
    },
};

var custom_kb_layouts = {
    qwerty: {
        normal: ["Q W E R T Y U I O P {bksp}", "A S D F G H J K L &", "{shift} Z X C V {space} B N M {shift}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > {space} ? : {normal}"]
    },
    azerty: {
        normal: ["A Z E R T Y U I O P {bksp}", "Q S D F G H J K L M", "{shift} W X C {space} V B N & {shift}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > {space} ? : {normal}"]
    },
    pinyin: {
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > ? : {normal}", "{space}"],
        normal: [
            "\u624B \u7530 \u6C34 \u53E3 \u5EFF \u535C \u5C71 \u6208 \u4EBA \u5FC3 {bksp}",
            "\u65E5 \u5C38 \u6728 \u706B \u571F \u7AF9 \u5341 \u5927 \u4E2D ",
            "{shift} \uFF3A \u96E3 \u91D1 \u5973 {space} \u6708 \u5F13 \u4E00 & {shift}"]
    },
    arabic: {
        normal: ["ض ص ث ق ف غ ع ه خ ح ج د {bksp}", "{shift} ذ ش س ي ب ل ا ت ن م ك ط {shift}", "أ ئ ء ؤ ر {space} لا ى ة و ز ظ"],
        shift: ["1 2 3 4 5 6 7 8 9 0 - = {bksp}", "ّ ! @ # $ % ^ & * ) ( _ + ", '{normal} ٍ  لأ ـ {space} ، / : {normal}']
    }

};